%define		src KVideoEncoder
%define		beta beta2
Name:		kvideoencoder
Version:	0.09
Release:	alt0.%beta
Summary:	KVideoEncoder is a GUI for the mencoder
Source0:	http://prdownloads.sourceforge.net/kvideoencoder/%src-%{version}%beta.tar.gz
Patch0:		%src-0.09-desktop.diff
Patch1:		%src-0.09-optflags.diff
Patch2:		%src-0.09-alt_datadir.diff
Url:		http://kde-apps.org/content/show.php?content=31385
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Group:		Video
License:	GPLv2

Requires:	lsdvd transcode mencoder

# Automatically added by buildreq on Sun Nov 04 2007 (-bi)
BuildRequires:	ImageMagick gcc-c++ kdelibs-devel libXext-devel libqt3-devel

%description
KVideoEncoder is a GUI for the mencoder;

my goal is to write a kind of TMPGEnc Clone for linux with additional features.
For example, KVideoEncoder supports joining of two or more videos and dvd-ripping.

%prep
%setup -q -n %src-%{version}%beta
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export PATH=$PATH:%_qt3dir/bin
export OPTFLAGS="%optflags"
./configure --prefix=%_prefix
chmod -x ./{AUTHORS,COPYING,ChangeLog,LICENSE}
%make_build

%install
export PATH=$PATH:%_qt3dir/bin
%make DESTDIR=%buildroot install
chmod -x %buildroot{%_desktopdir/%name.desktop,%_datadir/%name/*}
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 16x16 src/images/video.png %buildroot%_miconsdir/%name.png
convert -resize 32x32 src/images/video.png %buildroot%_niconsdir/%name.png
convert -resize 48x48 src/images/video.png %buildroot%_liconsdir/%name.png

%post
%update_menus

%preun
%clean_menus

%files
%doc AUTHORS COPYING ChangeLog LICENSE
%_bindir/%name
%_datadir/%name
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png
%_sysconfdir/%name

%changelog
* Sun Nov 04 2007 Motsyo Gennadi <drool@altlinux.ru> 0.09-alt0.beta2
- initial build
